| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_SI_Host_t Struct Reference
Still Image Class Host Mode Driver

## Detailed Description

Still Image Class Host Mode Configuration and State Structure.

Class state structure. An instance of this structure should be made within the user application, and passed to each of the Still Image class driver functions as the `SIInterfaceInfo` parameter. This stores each Still Image interface's configuration and state information.

Definition at line 75 of file StillImageClassHost.h.

`#include "StillImageClassHost.h"`

## Data Fields
struct {
uint8_t DataINPipeNumber
bool DataINPipeDoubleBank
uint8_t DataOUTPipeNumber
bool DataOUTPipeDoubleBank
uint8_t EventsPipeNumber
bool EventsPipeDoubleBank
uint8_t PortNumber
} | Config
struct {
bool IsActive
uint8_t InterfaceNumber
uint16_t DataINPipeSize
uint16_t DataOUTPipeSize
uint16_t EventsPipeSize
bool IsSessionOpen
uint32_t TransactionID
} | State

## Field Documentation

struct { ... } Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

bool DataINPipeDoubleBank

Indicates if the Still Image interface's IN data pipe should use double banking.

Definition at line 80 of file StillImageClassHost.h.

uint8_t DataINPipeNumber

Pipe number of the Still Image interface's IN data pipe.

Definition at line 79 of file StillImageClassHost.h.

uint16_t DataINPipeSize

Size in bytes of the Still Image interface's IN data pipe.

Definition at line 100 of file StillImageClassHost.h.

bool DataOUTPipeDoubleBank

Indicates if the Still Image interface's OUT data pipe should use double banking.

Definition at line 83 of file StillImageClassHost.h.

uint8_t DataOUTPipeNumber

Pipe number of the Still Image interface's OUT data pipe.

Definition at line 82 of file StillImageClassHost.h.

uint16_t DataOUTPipeSize

Size in bytes of the Still Image interface's OUT data pipe.

Definition at line 101 of file StillImageClassHost.h.

bool EventsPipeDoubleBank

Indicates if the Still Image interface's events data pipe should use double banking.

Definition at line 86 of file StillImageClassHost.h.

uint8_t EventsPipeNumber

Pipe number of the Still Image interface's IN events endpoint, if used.

Definition at line 85 of file StillImageClassHost.h.

uint16_t EventsPipeSize

Size in bytes of the Still Image interface's IN events pipe.

Definition at line 102 of file StillImageClassHost.h.

uint8_t InterfaceNumber

Interface index of the Still Image interface within the attached device.

Definition at line 98 of file StillImageClassHost.h.

bool IsActive

Indicates if the current interface instance is connected to an attached device, valid after SI_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

Definition at line 94 of file StillImageClassHost.h.

bool IsSessionOpen

Indicates if a PIMA session is currently open with the attached device.

Definition at line 104 of file StillImageClassHost.h.

uint8_t PortNumber

Port number that this interface is running.

Definition at line 87 of file StillImageClassHost.h.

struct { ... } State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

uint32_t TransactionID

Transaction ID for the next transaction to send to the device.

Definition at line 105 of file StillImageClassHost.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Host/StillImageClassHost.h